
-------------------------------------------------------------------------------
-- TIDY PLATES EMBRACE DARKNESS THEME
-------------------------------------------------------------------------------
	

local config = {}


local fontpath = "Interface\\Addons\\TidyPlatesEmbraceDarkness\\fonts\\"
local texturepath = "Interface\\Addons\\TidyPlatesEmbraceDarkness\\textures\\"



				
config.frame = {
	width = 106,
	height = 12,
}




				 
config.healthborder = {
	texture = texturepath.."NormalPlate",
	glowtexture = texturepath.."NormalHighlight",
	elitetexture = texturepath.."ElitePlate",
	width = 128,
	height = 32,
	x = 0,
	y = 0,
	anchor = "CENTER",
}




				 
config.threatborder = {
	texture =					texturepath.."NormalThreat",
	elitetexture =			                texturepath.."NormalThreat",
	width = 128,
	height = 32,
	x = 0,
	y = 0,
	anchor = "CENTER",
}
					
				 
config.name = {
	typeface =					fontpath.."ambitsek.ttf",
	size = 6,
	width = 120,
	height = 14,
	x = 9,
	y = 26,
	align = "LEFT",
	anchor = "LEFT",
	vertical = "BOTTOM",
	shadow = true,
}

				 
config.level = {
	typeface =					fontpath.."ambitsek.ttf",
	size = 8,
	width = 30,
	height = 14,
	x = -27,
	y = 27,
	align = "RIGHT",
	anchor = "LEFT",
	vertical = "BOTTOM",
	shadow = true,
}




				
config.dangerskull = {
	width = 28,
	height = 28,
	x = -15,
	y = 19,
	anchor = "LEFT",
}



				 
config.healthbar = {
	texture =					 texturepath.."HPBar",
	width =128,
	height = 32,
	x = 0,
	y = 0,
	anchor = "CENTER",
	orientation = "HORIZONTAL",
}


config.castborder = {
	texture =					texturepath.."CastBarOverlay",
	width = 128,
	height = 32,
	x = 0,
	y = -15,
	anchor = "CENTER",
}

				
config.castbar = {
	texture =					texturepath.."CastBar",
	width = 128,
	height = 32,
	x = 0,
	y = -15,
	anchor = "CENTER",
	orientation = "HORIZONTAL",
}





config.spellicon = {
	width = 20,
	height = 20,
	x = 67,
	y = -20,
	anchor = "CENTER",
}



				
config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}




				
config.threatcolor = {
	LOW = { r = .75, g = 1, b = 0, a= 1, },
	MEDIUM = { r = 1, g = 1, b = 0, a = 1, },
	HIGH = { r = 1, g = 0, b = 0, a = 1, },
}
				




config.specialText = {
	typeface =					fontpath.."RedAlert.ttf",
	size = 9,
	width = 150,
	height = 14,
	x = 3,
	y = -13,
	align = "LEFT",
	anchor = "LEFT",
	vertical = "BOTTOM",
	shadow = true,
}





config.options = {
	showLevel = true,
	showName = true,
	showSpecialText = true,
	showDangerSkull = true,
	showspellIcon = true,
}

-------------------------------------------------------------------------------
				
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["EmbraceDarkness"] = config


				
function config.SetSpecialText(unit)
	-- Returns a string with the unit's health, over it's maximum health.
	return unit.health.." / "..unit.healthmax
end			





